Detailed system requirements

The tables in this section provide detailed information about the system requirements for BigFix 10.

Table 1. AIX – Summary
Operating system Hardware Bitness Product minimum Supported? Notes
Server Console Agent Relay
AIX 7.1, 7.2 POWER

System - Big Endian

64-Exploit 10.0.0 No No Yes Yes
BigFix supports the following Power processors:
AIX Version POWER Mode
AIX 7.1 POWER6 / POWER7 / POWER8
AIX 7.2 POWER7 / POWER8 / POWER9

Table 2. Linux - Summary
Operating system Hardware Bitness Product minimum

Supported?

Notes
Server Console Agent Relay
CentOS 6, 7 x86-64 64-Exploit 10.0.0 No No Yes Yes
CentOS 8 x86-64 64-Exploit 10.0.0 No No Yes No
Debian 8, 9 x86-64 64-Exploit 10.0.0 No No Yes No
Oracle Enterprise Linux 6, 7 x86-64 64-Exploit 10.0.0 No No Yes No Includes support for RedHat and Unbreakable Kernel(up to UEK5).
Raspbian 9 (Stretch) ARM 32 10.0.0 No No Yes No Qualification done for: Kernel version: 4.142 HW: Raspberry Pi 3
Red Hat Enterprise Linux (RHEL) Server 6, 7

IBM z

Systems

64-Exploit 10.0.0 No No Yes No
Raspbian 9 (Stretch) ARM 32 10.0.0 No No Yes No
Red Hat Enterprise Linux (RHEL) Server 7 IBM POWER System - Little Endian 64-Exploit 10.0.0 No No Yes No
OS Version POWER Mode
RHEL Server 7 - Little Endian POWER8/POWER9
Red Hat Enterprise Linux (RHEL) Server 6 x86-64 64-Exploit 10.0.0 No No Yes Yes
Red Hat Enterprise Linux (RHEL) Server 7 x86-64 64-Exploit 10.0.0 Yes No Yes Yes
Red Hat Enterprise Linux (RHEL) 8

x86-64

64-Exploit

10.0.0

No No Yes No
SUSE Linux Enterprise Server (SLES) 11, 12

IBM z Systems

64-Exploit 10.0.0 No No Yes No
SUSE Linux Enterprise Server (SLES) 11, 12, 15 x86-64 64-Exploit 10.0.0 No No Yes Yes
SUSE Linux Enterprise Server (SLES) 12, 15 IBM Power Systems (Little Endian) 64-Exploit 10.0.0 No No Yes No
OS Version POWER Mode
SUSE 12,15 - Little Endian POWER8/POWER9
Ubuntu 16.04 LTS POWER System - Little Endian 64-Exploit 10.0.0 No No Yes No BigFix supports the following POWER modes:
OS Version POWER Mode
Ubuntu 16.04 LTS - Little Endian POWER8
Ubuntu 16.04 LTS, 18.04 LTS x86-64 64-Exploit 10.0.0 No No Yes Yes
Amazon Linux 2 x86-64 64-Exploit 10.0.0 No No Yes No
TinyCore 8.2, 10 x86-32 32 10.0.0 No No Yes Yes
Table 3. Mac OS – Summary
Operating system Hardware Bitness Product minimum

Supported?

Notes
Server Console Agent Relay
macOS Mojave 10.14, Catalina 10.15 x86-64 64-Exploit 10.0.0

No

No Yes No
Table 4. Solaris – Summary
Operating system Hardware Bitness Product minimum

Supported?

Notes
Server Console Agent Relay
Solaris 11 SPARC 32 10.0.0 No No Yes Yes
Solaris 11 amd64 64-Tolerate 10.0.0 No No Yes Yes
Table 5. Windows - Summary
Operating system Hardware Bitness Product minimum Supported? Notes
Server Console Agent Relay
Windows 10 Education x86-32 32 10.0.0 No No Yes Yes The highest version of Windows 10 supported by the Agent is 2004.

The highest version of Windows 10 supported by the Relay is 2004.

The highest version of Windows 10 supported by the Console is 1909.

Windows 10 Education x86-64 64-Exploit, 64-Tolerate 10.0.0 No Yes Yes Yes
Windows 8.1 Enterprise x86-32 32 10.0.0 No No Yes Yes
Windows 8.1 Enterprise x86-64 64-Exploit, 64-Tolerate 10.0.0 No Yes Yes Yes
Windows 10 Enterprise x86-32 32 10.0.0 No No Yes Yes
Windows 10 Enterprise x86-64 64-Exploit, 64-Tolerate 10.0.0 No Yes Yes Yes
Windows 10 Pro x86-32 32 10.0.0 No No Yes Yes
Windows 10 Pro x86-64 64-Exploit, 64-Tolerate 10.0.0 No Yes Yes Yes
Windows 8.1 Professional x86-32 32 10.0.0 No No Yes Yes
Windows 8.1 Professional x86-64 64-Exploit, 64-Tolerate 10.0.0 No Yes Yes Yes
Windows 8.1 Standard x86-32 32 10.0.0 No No Yes Yes
Windows 8.1 Standard x86-64 64-Tolerate 10.0.0 No Yes Yes Yes
Windows 10 IoT Enterprise x86-32 32 10.0.0 No No Yes No
Windows 10 IoT Enterprise x86-64 64-Tolerate 10.0.0 No No Yes No
Windows Server 2019 Datacenter Edition, Essentials Edition, Standard Edition x86-64 64-Exploit, 64-Tolerate 10.0.0 Yes Yes Yes Yes
Windows Server 2012 R2 Datacenter Edition, Essentials Edition, Standard Edition x86-64 64-Exploit, 64-Tolerate 10.0.0 Yes Yes Yes Yes Server Core installation option is supported.
Windows Server 2016 Datacenter Edition, Essentials Edition, Standard Edition x86-64 64-Exploit, 64-Tolerate 10.0.0 Yes Yes Yes Yes
Table 6. Prerequisites | Databases – Summary
Prerequisite Product minimum Supported? Notes
Server Console Agent Relay
DB2 Standard Edition 11.5 10.0.0 Yes No No No
Microsoft SQL Server 2012, 2014, 2016, 2017 10.0.0 Yes No No No
  • For Windows environments, Customer will provide full version of Microsoft SQL Server 2012, 2014, 2016 or 2017.

Table 7. Supported software | LDAP servers – Summary
Supported software Product minimum Supported? Operating system restrictions? Notes
Server Console Agent Relay
All LDAP Servers that support the LDAP V3 Specification 10.0.0 Yes No No No No Applies to domain functional level.
Microsoft Active Directory 2012 and 2012 R2 10.0.0 Yes No No No No

Table 8. Supported software | Virtual management – Summary
Supported software Version Product minimum Supported ? Operating system restrictions? Notes
Server Console Agent Relay
IBM PowerVM Hypervisor (LPAR, DPAR, Micro-Partition) Any supporte version and future fix packs 10.0.0 No No Yes No No Supported via Management Extender to provide audit only patch information.
VMware ESX (4.0, 4.1), ESXi (4.0, 4.1, 5.0, 5.1, 5.5, 6.0) 4.0, 4.1, 5.0, 5.1, 5.5, 6.0 and future fix packs 10.0.0 No No Yes No No

Table 9. Supported software | Web browsers – Summary
Supported software Version Product minimum Supported? Operating system restrictions? Notes
Server Console Agent Relay
Apple Safari on iOS 12.1 and future fix packs 10.0.0 Yes No No No No
  • Browser support applies to the WebReports capability of the product. Console and Client UI are not accessed via user browser.
  • Adobe Flash Player 12 or greater needs to be installed for Internet Explorer to use many dashboards and wizards in the BES Console. It is recommended that computers running the BES Console have the latest version of Adobe Flash Player installed for Internet Explorer. - For Windows Server 2012 or later, the "Desktop Experience" must be enabled. For Windows 8 or later, or Windows Server 2012 or later, the Flash player is a part of Windows (as "Desktop Experience") and the Flash player must be updated using Flash player fixlet in Patches for Windows site, directly using Windows Update, or using update file from Microsoft download site.
Google Chrome 73 and future versions, releases and fix packs 10.0.0 Yes No No No No
Microsoft Internet Explorer 11 and future fix packs 10.0.0 Yes No No No No
Microsoft Edge 44 and future fix packs 10.0.0
Mozilla Firefox ESR 66 and future versions, releases and fix packs 10.0.0 Yes No No No No
Opera 60 and future versions, releases and fix packs 10.0.0 Yes No No No No